
== Changelog ==

= 2.7.2 2026-03-10 =
* [Compatibility] – Tested OK with WooCommerce 10.5.3
* [Improvement] - Replaced underscores in import/export file names with hyphens.

= 2.7.1 2026-2-16 =
* [Compatibility] - Tested OK with WordPress 6.9.1
* [Compatibility] – Tested OK with WooCommerce 10.5.1
* [Improvement] - Enhancements to the import mapping screen.
* [Fix] - Resolved an issue where the banner reappeared after dismissal on page reload.

= 2.7.0 2026-1-26 =
* [Compatibility] – Tested OK with WooCommerce 10.4.3
* [Update] - Updated translation template (POT file)

= 2.6.9 2025-12-05 =
* [Compatibility] - Tested OK with WordPress 6.9
* [Compatibility] – Tested OK with WooCommerce 10.3.6

= 2.6.8 2025-11-07 =
* [Improvement] Security Improvements.

= 2.6.7 2025-11-06 =
* [Compatibility] – Tested OK with WooCommerce 10.3.4


= 2.6.6 2025-09-10 =
* [Compatibility] – Tested OK with WooCommerce 10.1.2
* [Update] – Plugin Check Plugin fixes.

= 2.6.5 2025-08-18 =
* [Compatibility] - Tested OK with WordPress 6.8.2
* [Compatibility] - Tested OK with WooCommerce 10.1.0
* [Improvement] - Enhancements to the import mapping screen.

= 2.6.4 2025-06-04 =
* [Fix] - Load plugin textdomain on 'init' to meet WordPress 6.7+ localization requirements.
* [Compatibility] - Tested OK with WordPress 6.8
* [Compatibility] - Tested OK with WooCommerce 9.8.5

= 2.6.3 2025-03-21 =
* [Fix] - Vulnerable to Server-Side Request Forgery.
* [Fix] - Vulnerable to Arbitrary File Deletion.
* [Fix] - Vulnerable to PHP Object Injection.
* [Fix] - Vulnerable to Directory Traversal

= 2.6.2 2025-03-05 =
* [Fix] - Updated review button link in the banner.

= 2.6.1 2025-03-01 =
* [Add] - Feature request functionality.
* [Add] - New header section.
* [Add] - Help button.
* [Add] - Setup guide, FAQ, and support contact link.
* [Add] - New review banner for feedback.
* [Compatibility] - Tested OK with WooCommerce 9.7.0
* [Compatibility] - Tested OK with WordPress 6.7.2

= 2.6.0 2024-12-31 =
* [Fix] - PHP warnings in exported CSV data.
* [Add] - Enable the Export guest users option by default.
* [Compatibility] - Tested Ok with Woocommerce 9.5.1
* [Compatibility] - Tested OK with WordPress 6.7.1

= 2.5.9 2024-11-08 =
* [Compatibility] - Tested OK with WordPress 6.7

= 2.5.8 2024-10-29 =
* [Compatibility]-Tested Ok with Woocommerce 9.3.3
* [Compatibility] - Tested OK with WordPress 6.6.2

= 2.5.7 2024-08-30 =
* [Compatibility]-Tested Ok with Woocommerce 9.2.3
* [Compatibility] - Tested OK with WordPress 6.6.1

= 2.5.6 2024-07-19 =
* [Fix]- wc_last_active not exporting properly.
* [Compatibility]-Tested Ok with Woocommerce 9.1.2
* [Compatibility] - Tested OK with WordPress 6.6

= 2.5.5 2024-05-13 =
* [Compatibility]-Tested Ok with Woocommerce 8.8.3
* [Compatibility] - Tested OK with WordPress 6.5.3

= 2.5.4 2024-03-27 =
* [Improvement] - Implemented a user interface update for the import/export screen, transitioning to a card-based layout for post type selection.
* [Fix] -  Vulnerable to PHP Object Injection.
* [Compatibility]-Tested Ok with Woocommerce 8.7.0
* [Compatibility] - Tested OK with WordPress 6.5

= 2.5.3 2024-02-28 =
* [Fix] - Path traversal Vulnerability.
* [Compatibility] - Tested OK with Woocommerce 8.6.1

= 2.5.2 2024-02-09 =
* [Fix] - CSV file not uploaded while import and throws an error message 'Invalid file type. Only CSV is allowed.'.
* [Improvement] - Option to exclude guest users during import.
* [Compatibility] - Tested OK with Woocommerce 8.5.2
* [Compatibility] - Tested OK with WP 6.4.3

= 2.5.1 2024-01-17 =
* [Fix] - Invalid File type for CSV.
* [Compatibility] - Tested OK with Woocommerce 8.5

= 2.5.0 2023-12-28 =
* [Fix] - Invalid File type for CSV in Windows OS/Firefox.
* [Compatibility] - Tested OK with Woocommerce 8.4.0

= 2.4.9 2023-12-11 =
* [Fix] - File type validation on the ‘upload_import_file’ function.
* [Compatibility] - Tested OK with WP 6.4.2

= 2.4.8 2023-12-07 =
* [Improvement] - File type validation on the ‘upload_import_file’ function.
* [Compatibility] - Tested OK with WooCommerce 8.3.1

= 2.4.7 2023-11-21 =
* [Compatibility] - Tested OK with WooCommerce 8.3.0

= 2.4.6 2023-11-20 =
* [Enhancement] - Improved hashed / plaintext password processing during import
* [Compatibility] - Tested OK with WooCommerce 8.2.2
* [Compatibility] - Tested OK with WordPress 6.4.1

= 2.4.5 2023-10-18 =
* [Compatibility] - Tested OK with WooCommerce 8.2.0

= 2.4.4 2023-09-20 =
* [Compatibility] - Tested OK with WooCommerce 8.1.1

= 2.4.3 2023-08-23 =
* [Fix] - Disabled the default export mapping for "aov" and "total_spent".
* [Compatibility] - Tested OK with WooCommerce 8.0.2
* [Compatibility] - Tested OK with WordPress 6.3

= 2.4.2 2023-07-14 =
* [Fix] - Admin user details are updated when importing as shop manager.
* [Add] - Export and Import the last activity data of users.
* [Compatibility] - Tested OK with WooCommerce 7.8.2

= 2.4.1 2023-06-19 =
* [Fix] – Importing custom CSV with a colon in the column heading.
* [Fix] – Auto delete history option does not delete import logs
* [Update] – Tested OK with WooCommerce 7.8

= 2.4.0 2023-05-15 =
* Add: HPOS compatibility
* Add: New columns in export file - 'Average order value' (aov) and 'Number of orders' ( orders )
* Fix: Disable import log generation function not working
* Update: Tested OK with WooCommerce 7.7

= 2.3.9 2023-04-14 =
* Update: Tested OK with WooCommerce 7.5, WordPress 6.2 & PHP 8.2

= 2.3.8 2023-03-21 =
* Update: Tested OK with WooCommerce 7.5
* Fix: Error on user import/export screen on WP 3.5

= 2.3.7 2023-01-11 =
* WooCommerce 7.2 Tested OK.
* Enhancement: Refresh the WooCommerce customer list after the import.

= 2.3.6 2022-11-24 =
* WooCommerce 7.1 Tested OK.
* WordPress 6.1 Tested OK.
* Enhancement: Revised import mapping screen.

= 2.3.5 2022-10-25 =
* WooCommerce 7.0 Tested OK.
* Enhancement: Set Min and Max limit for import and export default batch count in General setting page.

= 2.3.4 2022-08-30 =
* Bugfix: Duplicate export button on user listing page when both Pro and Free versions are active.
* Bugfix: Uncaught Error: Class 'Wt_Import_Export_For_Woo_History'
* WooCommerce 6.8 Tested OK.

= 2.3.3 2022-08-09 =
* Enhancement: Export total spent amount by customer.
* Bugfix: Delimiter reset when using the re-run option from the History section.
* WooCommerce 6.7 Tested OK.

= 2.3.2 2022-07-05 =
* Enhancement: Export to CSV option to Bulk Action drop-down menu in Users listing page.
* Enhancement: Import progress screen improvements.
* WooCommerce 6.6 Tested OK.

= 2.3.1 2022-05-26 =
* WordPress 6.0 Tested OK.
* WooCommerce 6.5 Tested OK.
* Enhancement: Option to choose delimiter when exporting.

= 2.3.0   2022-05-17 =
* WC 6.4 Tested OK.
* Enhancement: Bulk delete import logs.

= 2.2.9   2022-04-15 =
* WC 6.3 Tested OK.

= 2.2.8 =
* Enhancement: Performance and UI improvements, text corrections.

= 2.2.7 =
* WP 5.9 Tested OK.

= 2.2.6 =
* Improvements: Optimise user email search filter to work without WooCommerce

= 2.2.5 =
* WC 6.1 Tested OK
* Add - Export guest users option.
* Fix - user_status column value export.

= 2.2.4 =
* WC 6.0 Tested OK

= 2.2.3 =
* WC 5.9 Tested OK

= 2.2.2 =
* Bug Fix: Upload timeout issue.

= 2.2.1 =
* WC 5.8 Tested OK
* Improvements: Added filter wt_import_csv_parser_keep_bom for escaping cyrillic letters.
* Fixes: Keeping previously selected options when e-running the export/import and  wp_max_upload_size(), mb_detect_encoding() related issues.

= 2.2.0 =
* WC 5.7 tested OK

= 2.1.9 =
* Added support for customer shipping phone number import export
* WC 5.6 tested OK

= 2.1.8 =
* Bug fix: Email and username validation improvements
* WP 5.8 tested OK
* WC 5.5 tested OK

= 2.1.7 =
* Bug fix: Default role getting added when importing with a custom role

= 2.1.6 =
* Faq update: Refresh WooCommerce customer list after import

= 2.1.5 =
* Text corrections and batch count defaulted to 10

= 2.1.4 =
* Menu access capability update

= 2.1.3 =
* Tested OK with PHP 8.0

= 2.1.2 =
* Tested OK with WC 5.2.2

= 2.1.1 =
* Tested OK with WC 5.2.0

= 2.1.0 =
* Improvements.

= 2.0.9 =
* Plugin name update.

= 2.0.8 =
* Tested OK with WC 5.1.0 and WP 5.7
* Check existing users default with user_email while importing.

= 2.0.7 =
* Tested OK with WC 5.0.0 and WP 5.6.1
* Version 2.0.0 onward has been revamped majorly.

= 2.0.6 =
* Content update.
* Version 2.0.0 onward has been revamped majorly.

= 2.0.5 =
* New Feature: Update existing users.
* Improvement: Content updates.
* Improved UI for better user experience
* Tested OK with WC 4.9.0
* Version 2.0.0 onward has been revamped majorly.

= 2.0.4 =
* Improvement: Content updates.
* Tested OK with WC 4.8.0
* Version 2.0.0 onward has been revamped majorly.

= 2.0.3 =
* Fix: Issue with importing user roles.
* Improvement: Added more filters for export.
* Tested OK with WP 5.6
* Tested OK with WC 4.7.1
* Version 2.0.0 onward has been revamped majorly.

= 2.0.2 =
* Fix: Batch count issue for quick export.
* Fix: Issue with password migration for quick import.
* Tested OK with WC 4.7.0.
* Version 2.0.0 onward has been revamped majorly.

= 2.0.1 =
* Fix: Browser popup blocker issue.
* Tested OK with WC 4.6.1.

= 2.0.0 =
* Heads up! This version has been revamped majorly.
* Improved UI for better user experience
* Export/Import options: via a pre-saved template or a quick(standard columns) export/import
* Option to export/import selective columns
* Option to reorder columns during export
* Import: Support for different types of delimiters
* Export/Import options: Batch option with configurable batch count
* History of all the Import/Export process
* Dedicated logs for debugging failures
* Tested OK with WC 4.6.0

= 1.4.4 =
* Tested OK with WC 4.5.0 and WP 5.5.1

= 1.4.3 =
* Tested OK with WC 4.3.1 and WP 5.4.2

= 1.4.2 =
* Tested OK with WC 4.1.0 and WP 5.4.1

= 1.4.1 =
* Tested OK with WP 5.4

= 1.4.0 =
* Tested OK with WC 4.0.1
* Improvement:-'wt_hashed' column name changed to 'wt_hash' in csv.

= 1.3.9 =
* [Improvement] Security

= 1.3.8 =
* Security fix.

= 1.3.7 =
* Tested OK with WC 3.9.2
* Improvement:-Password hashed before import based on 'wt_hashed' column in csv.

= 1.3.6 =
* Tested OK with WP 5.3.2
* Content update.

= 1.3.5 =
* provision to export for Super Admin.
* Tested OK with WC 3.8.1 and WP 5.3

= 1.3.4 =
* Tested OK with WC 3.8 and WP 5.2.4
* Content Update.
* Improvement:- Option to select all and deselect all columns on export page.

= 1.3.3 =
* Tested OK with WC 3.7.1 and WP 5.2.3
* Biographical Info – reported by (@krsh333 and @wadehammes)

= 1.3.2 =
* CSV Injection was fixed – reported by one of our user (Javier Olmedo) CVE-2019-15092

= 1.3.1 =
* Tested OK with WC 3.7.0
* Plugin update information hook added.

= 1.2.9 =
* Tested OK with WC 3.6.3 and WP 5.2.1

= 1.2.8 =
* Tested OK with WC 3.6.1

= 1.2.7 =
* Bug Fix:- Encoding issue with export CSV.

= 1.2.6 =
* Bug Fix:- Cannot insert user without e-mail.

= 1.2.5 =
* Minor UI change.
* Tested OK with WC 3.5.7
* Tested OK with PHP 7.3.3

= 1.2.4 =
* Bug Fix.

= 1.2.3 =
* Tested OK with WP 5.1.1 and WC 3.5.6
* Minor UI changes.

= 1.2.2 =
* Tested OK with WP 5.0.3 and WC 3.5.3
* Bug Fix: User cannot import without email.
* Translation added German and French - Thanks for contributing French translation Jean(@momo-fr).

= 1.2.1 =
* Tested OK with WP 5.0.2 and WC 3.5.1

= 1.2.0 =
* Bug fix.

= 1.1.9 =
* Tested OK with WC 3.5.1
* Feedback on uninstall

= 1.1.8 =
* Tested OK with WC 3.5.0

= 1.1.7 =
* Content Update.

= 1.1.6 =
* Bug fix.

= 1.1.5 =
* Tested OK with WC 3.4.5.
* Review link added on footer.

= 1.1.4 =
* implement hashed/plaintext password processing during import.
* Bug fix: User role import.

= 1.1.3 =
* Export page blank bug fix.

= 1.1.2 =
* Tested OK WC 3.4.4 and WP 4.9.8
* Warnings fixed. 
* UI Changed.
* Export multiple roles at a time.

= 1.1.1 =
* Tested OK with WP 4.9.6 and WC 3.3.5.

= 1.1.0 =
* Fixed WC Dependency issue, fixed notice.

= 1.0.9 =
* Fixed WC Dependency issue.

= 1.0.8 =
* Tested OK with WordPress 4.9

= 1.0.7 =
* Minor Content updates

= 1.0.6 =
* Fixed Conflict with Premium Version

= 1.0.5 =
* Fixed PHP 7.0 Compatibility Issue and warning fix

= 1.0.4 =
* Marketing Content Change.

= 1.0.3 =
* Minor content updates.

= 1.0.2 =
* Minor content updates.

= 1.0.1 =
* Minor content updates.

= 1.0.0 =
* Export Import WordPress Users.